bcao
====

bandcamp album organiser - a python script to organise, rename, and apply cover art to zip files downloaded from bandcamp.

## usage
```
./bcao.py [zip file] [options]
```
see the help menu (`--help`) for more.

## installing
### the very easy way
download [bcao.pex](https://git.bune.city/lynnesbian/bcao/raw/branch/master/bcao.pex) and run it:
```
python bcao.pex [album name.zip]
```

### the pretty easy way
requires [poetry](https://python-poetry.org/).
```
git clone https://git.bune.city/lynnesbian/bcao
cd bcao
poetry install
poetry run bcao
```

### the other way
```
git clone https://git.bune.city/lynnesbian/bcao
cd bcao
virtualenv venv
source venv/bin/activate
pip install -r requirements.txt
python -m bcao
```

## building it yourself
see `build.sh`
